## disk_status

The disk_status function returns the current disk status.

    DSTATUS disk_status (
      BYTE Drive     /* Physical drive number */
    );

#### Parameter

Drive
  Specifies the physical drive number to be confirmed.

#### Return Values

The disk status is returned in combination of following flags.

STA_NOINIT
  Indicates that the disk drive has not been initialized. This flag is set on: system reset, disk removal and disk_initialize function failed, and cleared on: disk_initialize function succeeded.
STA_NODISK
  Indicates that no medium in the drive. This is always cleared on fixed disk drive.
STA_PROTECTED
  Indicates that the medium is write protected. This is always cleared on the drive that does not support write protect notch. Not valid when `STA_NODISK` is set.

Return